---
title: "willhaben API: Locations | Perceptlayer"
description: "Locations from willhaben as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/willhaben/locations
---

[APIs](https://perceptlayer.com/apis) / [willhaben](https://perceptlayer.com/apis/willhaben) / Locations

# willhaben: Locations

Locations from willhaben as JSON. 1 credit per successful call.

GET `/v1/willhaben/locations`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `area_id` | integer | Optional | Any |
| `vertical` | integer | Optional | 12, 14, 15, 16, 32, 35, 42, 90, 101, 102, 131, 132 |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/willhaben/locations" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/willhaben?try=locations#playground) with your own parameters. 1 credit per successful call; failed calls are free.
